import time

from . import base

from source import packets
from ...utils.crypto.type import CipherType


class UndefinedRole(base.BaseRole):
    def handle(self):
        # discover new peers
        packet = packets.DiscoveryPacket()
        self.manager.communication.broadcast(packet, CipherType.PLAIN)

        # wait
        time.sleep(1)